default mcname_gallery = "Mike"

screen navigation():

    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5

        spacing gui.navigation_spacing

        if main_menu:

            textbutton _("Start") action Start()

        else:

            textbutton _("History") action ShowMenu("history")

            textbutton _("Save") action ShowMenu("save")

        textbutton _("Load") action ShowMenu("load")

        textbutton _("Preferences") action ShowMenu("preferences")

        textbutton _("OEJ Scenes Mod") action ShowMenu("gallery_page1")

        if _in_replay:

            textbutton _("End Replay") action EndReplay(confirm=True)

        elif not main_menu:

            textbutton _("Main Menu") action MainMenu()

        textbutton _("About") action ShowMenu("about")

        textbutton _("Patreon") action OpenURL("https://patreon.com/neverluckystudios")

        if renpy.variant("pc"):

            ## Help isn't necessary or relevant to mobile devices.
            textbutton _("Help") action ShowMenu("help")

            ## The quit button is banned on iOS and unnecessary on Android.
            textbutton _("Quit") action Quit(confirm=not main_menu)


screen gallery_page1():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene1","scene221.jpg"])
        $ gallery_scene_list.append(["Scene2","scene1610.jpg"])
        $ gallery_scene_list.append(["Scene3","scene2414.jpg"])
        $ gallery_scene_list.append(["Scene4","scene3517.jpg"])
        $ gallery_scene_list.append(["Scene5","scene3910.jpg"])
        $ gallery_scene_list.append(["Scene6","scene4817.jpg"])
        $ gallery_scene_list.append(["Scene7","scene2419.jpg"])
        $ gallery_scene_list.append(["Scene8","scene6607.jpg"])
        $ gallery_scene_list.append(["Scene9","scene7928.jpg"])


        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 1{/size}" action [Show("gallery_page1")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)


screen gallery_page2():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene10","scene8710.jpg"])
        $ gallery_scene_list.append(["Scene11","scene7610.jpg"])
        $ gallery_scene_list.append(["Scene12","scene10208.jpg"])
        $ gallery_scene_list.append(["Scene13","scene10908.jpg"])
        $ gallery_scene_list.append(["Scene14","scene11008.jpg"])
        $ gallery_scene_list.append(["Scene15","scene11524.jpg"])
        $ gallery_scene_list.append(["Scene16","scene11934.jpg"])
        $ gallery_scene_list.append(["Scene17","scene12126.jpg"])
        $ gallery_scene_list.append(["Scene18","scene13711.jpg"])

        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 2{/size}" action [Show("gallery_page2")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)

screen gallery_page3():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene19","scene14304.jpg"])
        $ gallery_scene_list.append(["Scene20","scene15217.jpg"])
        $ gallery_scene_list.append(["Scene21","scene16426.jpg"])
        $ gallery_scene_list.append(["Scene22","scene16519.jpg"])
        $ gallery_scene_list.append(["Scene23","scene16913.jpg"])
        $ gallery_scene_list.append(["Scene24","scene17210.jpg"])
        $ gallery_scene_list.append(["Scene25","scene15006.jpg"])
        $ gallery_scene_list.append(["Scene26","scene18325.jpg"])
        $ gallery_scene_list.append(["Scene27","scene18416.jpg"])


        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 3{/size}" action [Show("gallery_page3")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)                   

screen gallery_page4():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene28","scene20627.jpg"])
        $ gallery_scene_list.append(["Scene29","scene21616.jpg"])
        $ gallery_scene_list.append(["Scene30","scene22611.jpg"])
        $ gallery_scene_list.append(["Scene31","scene23021.jpg"])
        $ gallery_scene_list.append(["Scene32","scene23549.jpg"])
        $ gallery_scene_list.append(["Scene33","scene25011.jpg"])
        $ gallery_scene_list.append(["Scene34","scene26106.jpg"])
        $ gallery_scene_list.append(["Scene35","scene26223.jpg"])
        $ gallery_scene_list.append(["Scene36","scene28448.jpg"])



        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 4{/size}" action [Show("gallery_page4")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)  

screen gallery_page5():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene37","scene29033.jpg"])
        $ gallery_scene_list.append(["Scene38","scene30531.jpg"])
        $ gallery_scene_list.append(["Scene39","scene31437.jpg"])
        $ gallery_scene_list.append(["Scene40","scene32730.jpg"])
        $ gallery_scene_list.append(["Scene41","scene33227.jpg"])
        $ gallery_scene_list.append(["Scene42","scene34920.jpg"])
        $ gallery_scene_list.append(["Scene43","scene35016.jpg"])
        $ gallery_scene_list.append(["Scene44","scene36123.jpg"])
        $ gallery_scene_list.append(["Scene45","scene36411.jpg"])

        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 5{/size}" action [Show("gallery_page5")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)  


screen gallery_page6():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene46","scene37131.jpg"])
        $ gallery_scene_list.append(["Scene47","scene38214.jpg"])
        $ gallery_scene_list.append(["Scene48","scene38309.jpg"])
        $ gallery_scene_list.append(["Scene49","scene38926.jpg"])
        $ gallery_scene_list.append(["Scene50","scene39312.jpg"])
        $ gallery_scene_list.append(["Scene51","scene40314.jpg"])
        $ gallery_scene_list.append(["Scene52","scene41717.jpg"])
        $ gallery_scene_list.append(["Scene53","scene42323.jpg"])
        $ gallery_scene_list.append(["Scene54","scene43004.jpg"])
        $ gallery_scene_list.append(["Scene55","scene43210.jpg"])


        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 6{/size}" action [Show("gallery_page6")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)  


screen gallery_page7():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene56","scene43507.jpg"])
        $ gallery_scene_list.append(["Scene57","scene45607.jpg"])
        $ gallery_scene_list.append(["Scene58","scene45707.jpg"])
        $ gallery_scene_list.append(["Scene59","scene46914.jpg"])
        $ gallery_scene_list.append(["Scene60","scene48405.jpg"])
        $ gallery_scene_list.append(["Scene61","scene48512.jpg"])
        $ gallery_scene_list.append(["Scene62","scene49720.jpg"])
        $ gallery_scene_list.append(["Scene63","scene51318.jpg"])
        $ gallery_scene_list.append(["Scene64","scene52912.jpg"])


        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 7{/size}" action [Show("gallery_page7")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)  


screen gallery_page8():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene65","scene54139.jpg"])
        $ gallery_scene_list.append(["Scene66","scene55434.jpg"])
        $ gallery_scene_list.append(["Scene67","scene56637.jpg"])
        $ gallery_scene_list.append(["Scene68","scene57833.jpg"])
        $ gallery_scene_list.append(["Scene69","scene58821.jpg"])
        $ gallery_scene_list.append(["Scene70","scene59644.jpg"])
        $ gallery_scene_list.append(["Scene71","scene60001.jpg"])
        $ gallery_scene_list.append(["Scene72","scene60759.jpg"])
        $ gallery_scene_list.append(["Scene73","scene62328.jpg"])


        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 8{/size}" action [Show("gallery_page8")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)  


screen gallery_page9():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene74","scene62435.jpg"])
        $ gallery_scene_list.append(["Scene75","scene64596.jpg"])
        $ gallery_scene_list.append(["Scene76","scene66958.jpg"])
        $ gallery_scene_list.append(["Scene77","scene68046.jpg"])
        $ gallery_scene_list.append(["Scene78","scene70901.jpg"])
        $ gallery_scene_list.append(["Scene79","scene72624.jpg"])
        $ gallery_scene_list.append(["Scene80","scene74645.jpg"])
        $ gallery_scene_list.append(["Scene81","scene75940.jpg"])

        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 9{/size}" action [Show("gallery_page8")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)  



screen gallery_page10():
    tag menu

    modal True


    use game_menu(_("OEJ Scenes Mod")):
        $ gallery_scene_list=[]
        $ gallery_scene_list.append(["Scene82","scene76029.jpg"])
        $ gallery_scene_list.append(["Scene83","scene78878.jpg"])
        $ gallery_scene_list.append(["Scene84","scene79203.jpg"])
        $ gallery_scene_list.append(["Scene85","scene79914.jpg"])
        $ gallery_scene_list.append(["Scene86","scene81247.jpg"])
#        $ gallery_scene_list.append(["Scene79","scene72624.jpg"])
#        $ gallery_scene_list.append(["Scene80","scene74645.jpg"])
#        $ gallery_scene_list.append(["Scene81","scene75940.jpg"])

        textbutton "{size=20}1{/size}" action [Show("gallery_page1")] pos(0.01,0.93)
        textbutton "{size=20}2{/size}" action [Show("gallery_page2")] pos(0.10,0.93)
        textbutton "{size=20}3{/size}" action [Show("gallery_page3")] pos(0.19,0.93)
        textbutton "{size=20}4{/size}" action [Show("gallery_page4")] pos(0.28,0.93)
        textbutton "{size=20}5{/size}" action [Show("gallery_page5")] pos(0.37,0.93)
        textbutton "{size=20}6{/size}" action [Show("gallery_page6")] pos(0.46,0.93)
        textbutton "{size=20}7{/size}" action [Show("gallery_page7")] pos(0.55,0.93)
        textbutton "{size=20}8{/size}" action [Show("gallery_page8")] pos(0.64,0.93)
        textbutton "{size=20}9{/size}" action [Show("gallery_page9")] pos(0.73,0.93)
        textbutton "{size=20}10{/size}" action [Show("gallery_page10")] pos(0.82,0.93)
        textbutton "{size=25}My Patreon{/size}" action OpenURL("https://www.patreon.com/OEJ123") pos(0.85,0.35)
        textbutton _("Change Name") action Call ("NameChangerGallery") pos(0.835,0.55)
        textbutton "{size=25}Page 10{/size}" action [Show("gallery_page9")] pos(0.39,0.87)

        vpgrid:
            rows 3
            cols 3
            spacing 35

            for i in gallery_scene_list:


                imagebutton:
                    idle Transform ((i[1]),zoom=0.19)
                    hover Transform(im.MatrixColor(i[1],im.matrix.brightness(0.18)), zoom=0.19)

                    action Replay(i[0],locked=False)  